Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Module

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.access.DerivedDataCollection
                  biouml.model.Module

All Implemented Interfaces:
  DataCollection, DataElement

public class Module
extends DerivedDataCollection

The module data is hierarchically organised in following manner:

- Diagrams
  `DataCollection` of `Diagram`s.
  In furture diagrams can be ierarchically grouped.
- Data
  "Kernel" and other data elements. For example, literature reference, that is `DataElemrnt`) but can not be used as diagram element.
  Data elements ordered by categories. So Data is a `DataCollection` where data elements are categories.
- Metadata
  This `DataCollection` stores `DiagramType`s, inheretid modules and so on.

Field Summary
`static java.lang.String` | `DATA` Name of data DataCollection.
`static java.lang.String` | `DIAGRAM` Name of diagrams DataCollection.
`static java.lang.String` | `METADATA` Name of metadata DataCollection.
`static java.lang.String` | `SIMULATION` Name of DataCollection for simulation results, plots, etc.
`protected ModuleType` | `type`
`static java.lang.String` | `TYPE_PROPERTY`

Fields inherited from class ru.biosoft.access.DerivedDataCollection
`primaryCollection`

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`Module(DataCollection primaryCollection, java.util.Properties properties)` Constructs derived data collection with primary collection.

Method Summary
`void` | `close()` Close the data collection and release all used resources.
`DataCollection` | `getCategory(java.lang.Class c)`
`Diagram` | `getDiagram(java.lang.String name)`
`DataCollection` | `getDiagrams()`
`DataElement` | `getKernel(java.lang.Class c, java.lang.String name)`
`DataElement` | `getKernel(java.lang.String relativeName)`
`static Module` | `getModule(DataElement element)`
`java.io.File` | `getPath()`
`ModuleType` | `getType()`
`java.lang.String` | `getVersion()`
`void` | `putDiagram(Diagram diagram)`
`void` | `putKernel(DataElement kernel)`

Methods inherited from class ru.biosoft.access.DerivedDataCollection
`contains, contains, doGet, doPut, doRemove, getDataElementType, getNameList, getPrimaryCollection, getSize, init, isMutable, iterator, toString`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, doAddPostNotify, doAddPreNotify, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getDescription, getInfo, initLog, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, put, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### DIAGRAM

    public static final java.lang.String DIAGRAM

  Name of diagrams DataCollection.

  See Also:
    Constant Field Values

### DATA

    public static final java.lang.String DATA

  Name of data DataCollection.

  See Also:
    Constant Field Values

### METADATA

    public static final java.lang.String METADATA

  Name of metadata DataCollection.

  See Also:
    Constant Field Values

### SIMULATION

    public static final java.lang.String SIMULATION

  Name of DataCollection for simulation results, plots, etc.

  See Also:
    Constant Field Values

### TYPE_PROPERTY

    public static final java.lang.String TYPE_PROPERTY

See Also:
  Constant Field Values

### type

    protected ModuleType type

Constructor Detail

### Module

    public Module(DataCollection primaryCollection,
                  java.util.Properties properties)
           throws java.lang.Exception

  Constructs derived data collection with primary collection.

Parameters:
  `primaryCollection` -
  `properties` - Properties for creating data collection .

Method Detail

### getModule

    public static Module getModule(DataElement element)

### close

    public void close()
               throws java.lang.Exception

  Description copied from class: `AbstractDataCollection`
  Close the data collection and release all used resources. Default implementation provides following actions:
  - closing `DataCollectionInfo` that provides closing of `QuerySystem`

  Specified by:
    `close` in interface `DataCollection`
  Overrides:
    `close` in class `AbstractDataCollection`
  Throws:
    `java.lang.Exception`

### getType

    public ModuleType getType()

### getVersion

    public java.lang.String getVersion()

### getCategory

    public DataCollection getCategory(java.lang.Class c)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPath

    public java.io.File getPath()

  Returns:
  Pendung:
    Temp for module removing

### getKernel

    public DataElement getKernel(java.lang.String relativeName)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getKernel

    public DataElement getKernel(java.lang.Class c,
                                 java.lang.String name)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### putKernel

    public void putKernel(DataElement kernel)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDiagrams

    public DataCollection getDiagrams()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDiagram

    public Diagram getDiagram(java.lang.String name)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### putDiagram

    public void putDiagram(Diagram diagram)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.